Type to search.

Get a package

Base URL
https://{kibana_url}
Auth

Get information about a specific version of a package.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

pkgName string · min length: 0 required

Package name

pkgVersion string optional

Package version

Leave it out to use /api/fleet/epm/packages/{pkgName}.

Query parameters

ignoreUnverified boolean

When true, returns the package even if the signature cannot be verified

prerelease boolean

When true, include prerelease versions

full boolean

When true, return the full package info including assets

withMetadata boolean · default: false

When true, include package metadata such as whether it has package policies

Responses

Successful response

application/json
item object required
assets map string to object required
categories string[] · max items: 100
data_streams string to object[] · max items: 1000
description string
download string
elasticsearch map string to object
format_version string
internal boolean
keepPoliciesUpToDate boolean
latestVersion string
license string
licensePath string
name string required
notice string
path string
policy_templates string to object[] · max items: 1000
readme string
release enum
Values: ga beta experimental
signature_path string
status string
title string required
type union enum | string
Values: integration input content
vars string to object[] · max items: 1000
version string required